/**
* Fuel Theme
* Version 6.0.0
**/

/*--------------------------------------------------------------
>>> TABLE OF CONTENTS:
----------------------------------------------------------------
# Hero
# Welcome
# CTA's
# Locations
--------------------------------------------------------------*/

/*--------------------------------------------------------------
# Hero
--------------------------------------------------------------*/
#hero_section {
    padding-top: clamp(2.6rem, 8vw, 7rem);
    padding-bottom: 4rem; 
	z-index: 10;
	margin-bottom: 1em ; 
}

#hero_section .wp-element-button {
	font-size: 1.2em;
}

.home-page-heading{
	padding: 0 2em; 
}

@media (min-width: 68.5em){
	#hero_section{
		margin-bottom: 2.75em ; 
	}
}

@media (max-width: 68.49em) {
    #hero_section {
        min-height: unset !important;
    }
}

.hero-tagline {
    font-family: var(--title-font);
    text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    font-size: clamp(1.6rem, 7vw, 4rem);
    --time: 800ms;
    --easing: ease-out;
    --x: -2rem;
}

p.hero-tagline-two {
	padding-top: 0; 
}

.home-throughout{
	font-family: var(--title-font);
	text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
	font-size: clamp(1.1rem, 4vw, 2.4rem);
	margin-top: 0; 
	--time: 800ms;
    --easing: ease-out;
    --x: -2rem;
	--delay: 500ms; 
}

/*--------------------------------------------------------------
# Welcome
--------------------------------------------------------------*/

.welcome-home{
	position: relative; 
}

.welcome-home p{
	line-height: 1.9;
}

.welcome-home h1{
	font-size: clamp(1.4em, 4vw, 2em); 
	color: var(--primary-color); 
	font-family: var(--title-font); 
}

.welcome-home:before {
	content: ''; 
	position: absolute; 
	top: -1em; 
	left: .5em; 
	width: 2.5em; 
	height: 6em; 
	background: url('../images/welcome-accent.svg') no-repeat; 
	background-size: contain; 
}

.welcome-right{
	position: relative; 
	padding-left: 1em; 
}

.welcome-right:before{
	content: '';
	position: absolute; 
	left: 0; 
	top: 1em;
	width: .25em;
	height: 8em; 
	border-left: 1px solid #617A3A; 
	
}

.welcome-to {
	letter-spacing: .25em; 
}

p.home-review-quote {
	margin-top: .25em; 
}

@media (min-width: 68.5em){
    .welcome-home:before {
		width: 13em; 
		height: 17em; 
		top: -2.9em; 
	}
	.welcome-home{
		padding-left: 8em;
		padding-right: 8em;
	}
	.welcome-columns {
		justify-content: space-between; 
		margin-top: 2.9em; 
	}
	.welcome-left{
		padding-right: 1em; 
	}
	.welcome-right{
		padding-left: 3em; 
	}
	
}

/*--------------------------------------------------------------
# CTA's
--------------------------------------------------------------*/
#cta_section {
    gap: 0;
}

#cta_section a {
    flex: 1 1 auto;
    min-width: 17.5rem;
    --y: 0;
    --time: 600ms;
}

#cta_section .cta1 {
    background: #644288;
    --i: 0;
}

#cta_section .cta2 {
    background: #6C8447;
    --i: 3;
}

#cta_section .cta3 {
    background: #886D52;
    --i: 6;
}

#cta_section .wp-block-image {
    margin: 0;
    overflow: hidden;
}

#cta_section img {
    width: 100%;
    max-height: 23rem;
    object-position: top;
    transition: transform 1s;
}

#cta_section p {
    position: relative;
    color: #fff;
    font-size: clamp(1.2rem, 2vw, 1.8rem);
    margin: 0;
    padding: clamp(0.8rem, 3vw, 1.8rem) clamp(1.5rem, 2vw, 3rem);
    z-index: 1;
    container-type: inline-size;
	container-name: cta;
}

#cta_section p::before {
    content: '';
    background: linear-gradient(0deg, rgba(0,0,0,0.1), rgba(0,0,0,0.1)) no-repeat right bottom / var(--cta-bg-width, 4rem) 100%;
    position: absolute;
    inset: 0 0 0 0;
    transition: background-size 350ms;
    z-index: -1;
}

#cta_section p::after {
    content: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 40 40"><path fill="white" d="m22.5 7.5-1.79 1.74 9.48 9.51H5v2.5h25.19l-9.48 9.47 1.79 1.78L35 20 22.5 7.5Z"/></svg>');
    height: 2rem;
    width: 2rem;
    position: absolute;
    inset: 0 1rem 0 auto;
    margin: auto;
    line-height: 1;
}

#cta_section a:is(:hover, :focus) img {
    transform: scale(1.1)
}

#cta_section a:is(:hover, :focus) p:before {
    background-size: 100% 100%;
}

@container cta (max-width: 17.5rem) {
	#cta_section p::before {
        --cta-bg-width: 2rem;
	}
    #cta_section p::after {
        height: 1rem;
        width: 1rem;
        right: 0.5rem;
    }
}

@media (min-width: 68.5em) {
    #cta_section {
        flex-wrap: nowrap;
    }
    #cta_section a {
        flex: 1 1 33.3%
    }
}